Subject: SIP: INVITE/BYE race

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 27 Mar 1998 12:42:08 -0500

(In the following messages, I will outline what I perceive to be the
open SIP issues that need to be resolved, beyond the more basic
discussion on SIP security to take place at IETF. The suggested
resolutions are my own.)

Problem: Currently, there is a race condition where a response for 
an INVITE may be mistaken for a response for a BYE issued shortly after
the INVITE.

Suggested resolution:  Make CSeq mandatory, at least for BYE, ACK and
INVITE.
Minimal impact on complexity.